# Proginn Common Library

## Exports

### ProginnBridge

Usage:

```ts
import { ProginnBridge } from 'proginn-lib'

const bridge = new ProginnBridge(/* opts */)
```

### ProginnRequest

Usage:

```ts
import { ProginnRequest } from 'proginn-lib'

const request = ProginnRequest.create({
  baseURL: 'https://example.com/api',
  // ...
})

await request({
  method: 'GET',
  url: '/list'
})
```

### convertDate

Usage:

```ts
import { convertDate } from 'proginn-lib'

convertDate(/* timestamp | timestring */)
```

### formatTime

Mask Pattern:

```txt
yyyy-MM-dd hh:mm:ss
```

Usage:

```ts
import { formatTime } from 'proginn-lib'

formatTime(/* timestamp | timestring | date */, /* mask */)
```

## Vue components

### DebugWindow

```ts
import DebugWindow from 'proginn-lib/src/vue/components/DebugWindow.vue'

export default {
  components: {
    DebugWindow
  }
}
```
