import { SemverComparator } from '../utils/semver';
import { Notifier, SyncCookiesOptions } from '../types/global';
declare class ProginnBridge {
    root: any;
    private notifier?;
    constructor(opts?: {
        notifier?: Notifier;
    });
    get appInfo(): any;
    get appExtra(): any;
    get appVersion(): any;
    get os(): any;
    get isInApp(): boolean;
    get isAndroid(): boolean;
    get isIos(): boolean;
    get cookie(): {
        [key: string]: string;
    };
    get isLogined(): boolean;
    get uid(): string | null;
    inject(name: string, cb: (...args: any) => void, root?: string): void;
    invoke(fn: string, data?: any, cb?: Function): any;
    back(): void;
    close(): void;
    load(url: string): void;
    open(url: string, title?: string): void;
    login(): void;
    checkLogin(force?: boolean): boolean;
    compareAppVersion(operator: SemverComparator, version: string): any;
    syncCookies(opts?: SyncCookiesOptions): void;
    cacheCookiesInStorage(): void;
    loadCookiesInStorage(opts?: SyncCookiesOptions): void;
    loadUserData(data: any): void;
    loadShareData(data: any): void;
    loadTopicData(data: {
        topic_id: string;
        user_id: string;
        share_content: any;
        topics: any[];
    }): void;
    setNavigationBarColor(hex: string): void;
    setNavigationBarTitle(text: string): void;
}
export default ProginnBridge;
