export declare type Lang = 'csharp' | 'curl' | 'golang' | 'java' | 'php' | 'python' | 'ruby' | 'nodejs';
export declare type BodyMode = 'file' | 'formdata' | 'raw' | 'urlencoded';
export interface ConvertOptions {
    url: string;
    method: string;
    header?: any[];
    body?: {
        mode?: BodyMode;
        raw?: string;
        urlencoded?: {
            key: string;
            value: string;
        }[];
        formdata?: {
            key: string;
            value: any;
            type: 'file' | 'text';
        }[];
    };
}
export declare const convert: (lang: Lang, opts: ConvertOptions) => Promise<string>;
