export var Request: any;
export namespace Request {
    export type definition = {
        /**
         * The URL of the request. This can be a {@link Url.definition} or a string.
         */
        url: string | ((options: any, ...args: any[]) => void);
        /**
         * The request method, e.g: "GET" or "POST".
         */
        method: string;
        /**
         * The headers that should be sent as a part of this request.
         */
        header: any[];
        /**
         * The request body definition.
         */
        body: any;
        /**
         * The authentication/signing information for this request.
         */
        auth: any;
        /**
         * The proxy information for this request.
         */
        proxy: any;
        /**
         * The certificate information for this request.
         */
        certificate: any;
    };
}
