export var Variable: any;
export namespace Variable {
    /**
     * The object representation of a Variable consists the variable value and type. It also optionally includes the `id`
     * and a friendly `name` of the variable. The `id` and the `name` of a variable is usually managed and used when a
     * variable is made part of a {@link VariableList} instance.
     */
    export type definition = {
        /**
         * - The value of the variable that will be stored and will be typecast to the `type`
         * set in the variable or passed along in this parameter.
         */
        value?: any;
        /**
         * - The type of this variable from the list of types defined at {@link Variable.types}.
         */
        type?: string | undefined;
    };
}
